# 各大交易所的代码规则

## 上交所

## 上海交易所

首位代码 | 产品定义
-- | --
０ | 国债／指数
１ | 债券
２ | 回购
３ | 期货
４ | 备用
５ | 基金／权证
６ | A股
７ | 非交易业务（发行、权益分配）
８ | 备用
９ | B股



第一位 | 第2-3位 | 业务定义
-- | ------ | --
0 | 00 | 上证指数、沪深300指数、中证指数
  | 09 | 国债(2000年前发行)
  | 10 | 国债（2000年-2009年发行）
  | 19 | 固定收益电子平台交易国债
  | 20 | 记账式贴现国债
  | 90 | 新国债质押式回购质押券出入库（对应010***国债）
  | 99 | 新国债质押式回购质押券出入库（对应009***国债）
1 | 00 | 可转债（对应600*)，其中1009用于转债回售
  | 04 | 公司债及国家发改委等核准发行的、登记在证券账户的债券（对应122***)出入库
  | 05 | 105000-105899用于分离债（对应126)出入库， 105900-105999用于企业债（120、129***）出入库
  | 06 | 地方政府债出入库（对应130***)
  | 07 | 记账式贴现国债出入库（对应020***)
  | 10 | 可转债（对应600***)
  | 12 | 可转债（对应600***)
  | 13 | 可转债（对应601***)
  | 20 | 企业债
  | 21 | 资产证券化
  | 22 | 122000-122499用于公司债，122500-122999用于国家发改委等核准发行的、登记在证券账户的债券
  | 26 | 分离交易的可转换公司债
  | 28 | 可交换公司债
  | 29 | 企业债
  | 30 | 地方政府债
  | 81 | 可转债转股（对应600***），已不再增用
  | 90 | 可转债转股（对应600***）
  | 91 | 可转债转股（对应601***）
  | 92 | 可交换公司债转股（对应128***）
2 | 01 | 国债回购（席位托管方式）
  | 02 | 企业债回购
  | 03 | 国债买断式回购
  | 04 | 债券质押式回购（账户托管方式）
  | 05 | 债券质押式报价回购
3 | 10 | 国债期货（暂停交易）
5 | 00 | 契约型封闭式基金
  | 10 | 交易型开放式指数证券投资基金
  | 19 | 开放式基金申赎
  | 21 | 开放式基金认购
  | 22 | 开放式基金跨市场转托管
  | 23 | 开放式基金分红
  | 24 | 开放式基金基金转换
  | 80 | 权证(含股改权证、公司权证)
  | 82 | 权证行权
6 | 00 | A股证券
  | 01 | A股证券
7 | 00 | 配股（对应600***）
  | 02 | 职工股配股（对应600***）
  | 04 | 持股配债
  | 05 | 基金扩募
  | 06 | 要约收购
  | 30 | 申购、增发（对应600***）
  | 31 | 持股增发（对应600***）
  | 33 | 可转债申购（对应600***）
  | 35 | 基金申购
  | 38 | 网上投票(对应600***)
  | 40 | 申购款或增发款（对应600***）
  | 41 | 申购或增发配号（对应600***）
  | 43 | 可转债发债款（对应600***）
  | 44 | 可转债配号（对应600***）
  | 45 | 基金申购款
  | 46 | 基金申购配号
  | 51 | 751000-751199用于国债分销，751900-751969用于地方政府债（对应130）分销，751970-751999用于公司债及国家发改委等核准发行的、登记在证券账户的债券（对应122）分销
  | 60 | 配股（对应601***）
  | 62 | 职工股配股（对应601***）
  | 80 | 申购、增发（对应601***）
  | 81 | 持股增发（对应601***）
  | 83 | 可转债申购（对应601***）
  | 88 | 网络投票（对应601***）
  | 90 | 申购款或增发款（对应601***）
  | 91 | 申购或增发配号（对应601***）
  | 93 | 可转债申购款（对应601***）
  | 94 | 可转债配号（对应601***）
  | 99 | 指定交易（含指定交易、撤销指定、回购指定撤销、A股密码服务等）
9 | 00 | B股证券
  | 38 | 网上投票(B股)
  | 39 | B股网络投票密码服务（现仅用939988）


## 深圳交易所

深市
第1位	第二位	第3-6位	含义
0	0	XXXX	A股证券
0	3	XXXX	A股A2权证
0	7	XXXX	A股增发
0	8	XXXX	A股A1权证
0	9	XXXX	A股转配
1	0	XXXX	国债现货
1	1	XXXX	债券
1	2	XXXX	可转换债券
1	3	XXXX	国债回购
1	7	XXXX	原有投资基金
1	8	XXXX	证券投资基金
2	0	XXXX	B股证券
2	7	XXXX	B股增发
2	8	XXXX	B股权证
3	0	XXXX	创业板证券
3	7	XXXX	创业板增发
3	8	XXXX	创业板权证
3	9	XXXX	综合指数/成份指数


深圳


第一位 | 第二位 | 第三位 | 定义
-- | -- | -- | --
0 | 0 | 0-1 | 主板 A 股
  |   | 2-4 | 中小企业板股票
  | 3 | 0-2 | 主板 A 股及中小企业板股票认购权证
  |   | 6 | 创业板股权激励计划涉及的员工认股权
  |   | 7 | [037000，037499]主板 A 股股权激励计划涉及的员工认股权[037500，037999]中小企业板股权激励计划涉及的员工认股权
  |   | 8-9 | 主板 A 股及中小企业板股票认沽权证
  | 7 | 0-1 | 主板 A 股增发    主板可转换公司债券申购
  |   | 2-4 | 中小企业板股票增发   中小企业板可转换公司债券申购
  | 8 | 0-1 | 主板 A 股配股优先权   主板可转换公司债券的优先权认购
  |   | 2-4 | 中小企业板配股优先权   中小企业板可转换公司债券的优先权认购
1 | 0 | 0-7 | 附息式国债<br/>[101650，101699]是债券分销代码区间，分销代码位于[101660， 101674]区间时实行投资者适当性管理
  |   | 8 | 贴现式国债
  |   | 9 | 地方政府债
  | 1 | 1 | 企业债
  |   | 2 | 公司债
  |   | 5 | 可分离交易的可转换公司债券
  |   | 7 | [117000，117499]为中小企业可交换私募债<br/>[117500，117999]为证券公司短期债
  |   | 8 | [118900，118999]为证券公司次级债<br/>[118000，118899]为其他中小企业私募债
  |   | 9 | [119000，119499]为资产支持证券 ABS
  | 2 | 0-9 | 可转换公司债券（已发行的可转换公司债券继续保留原代码）<br/>[123000，123999]是创业板可转换公司债券代码区间 [127000，127999]是主板可转换公司债券代码区间 [128000，128999]是中小企业板可转换公司债券代码区间
  | 3 | 1 | [131800，131899]为债券回购交易代码；<br/>131990 为债券回购的标准券代码；
  | 4 | 0 | 优先股
  | 5 | 0-1 | 分级基金子基金
  |   | 9 | ETF
  | 6 | 0-9 | 开放式基金
  | 8 | 4 | 封闭式证券投资基金
2 | 0 | 0-9 | B股
  | 3 | 8 | B 股现金选择权
  | 8 | 0-9 | B 股配股优先权
3 | 0 | 0-9 | 创业板股票
  | 6 | 0-1 | 主板股东大会网络投票
  |   | 2-4 | 中小企业板股东大会网络投票
  |   | 5-8 | 创业板股东大会网络投票证券
  |   | 9 | [369001，369499]为基金网络投票<br/>[369501，369899]为优先股、债券等网络投票（注 3） 369991 用于中国结算网络服务身份认证业务的密码激活/密码重 置 369999 用于深交所身份认证业务的密码激活/密码挂失
  | 7 | 0-9 | 创业板股票增发<br/>创业板可转换公司债券申购
  | 8 | 0-9 | 创业板配股优先权 创业板可转换公司债券的优先权认购
  | 9 | 5 | 成交量统计指标
  |   | 9 | 指数
